# Generated by Django 2.2.4 on 2019-10-17 15:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('gestor_social', '0004_auto_20191015_1949'),
    ]

    operations = [
        migrations.CreateModel(
            name='Convocatorias',
            fields=[
                ('IdConvocatorias', models.IntegerField(primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=50)),
                ('Fechadeinicio', models.DateTimeField()),
                ('Fechadefin', models.DateTimeField()),
                ('Encargado', models.CharField(max_length=50)),
                ('Descripcion', models.CharField(max_length=200)),
                ('HorasGanadas', models.IntegerField()),
                ('NoEstudiantes', models.IntegerField()),
                ('NoReserva', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Decanatura',
            fields=[
                ('IdDecanatura', models.IntegerField(primary_key=True, serialize=False)),
                ('Encargado', models.CharField(max_length=50)),
                ('Correo', models.EmailField(max_length=254)),
                ('password', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Dependencias',
            fields=[
                ('IdDependencia', models.IntegerField(primary_key=True, serialize=False)),
                ('Nombre', models.CharField(max_length=50)),
                ('Solicitante', models.CharField(max_length=50)),
                ('Correo', models.EmailField(max_length=254)),
                ('password', models.CharField(max_length=20)),
                ('Decanatura', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.Decanatura')),
            ],
        ),
        migrations.RenameModel(
            old_name='Gestor',
            new_name='gestor_social',
        ),
        migrations.CreateModel(
            name='Sanciones',
            fields=[
                ('IdSancion', models.IntegerField(primary_key=True, serialize=False)),
                ('Descripcion', models.CharField(max_length=50)),
                ('Solicitante', models.EmailField(max_length=254)),
                ('Fechadeinicio', models.DateTimeField()),
                ('Fechadefin', models.DateTimeField()),
                ('Convocatoria', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.Convocatorias')),
                ('Decanatura', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.Decanatura')),
                ('Gestor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.gestor_social')),
            ],
        ),
        migrations.CreateModel(
            name='Evaluaciones',
            fields=[
                ('IdEvaluacion', models.IntegerField(primary_key=True, serialize=False)),
                ('Fecha', models.DateField()),
                ('PresentacionPersonal', models.CharField(max_length=15)),
                ('Disponibilidad', models.CharField(max_length=15)),
                ('Puntualidad', models.CharField(max_length=15)),
                ('Convocatoria', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.Convocatorias')),
                ('Dependencia', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.Dependencias')),
                ('Gestor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.gestor_social')),
            ],
        ),
        migrations.AddField(
            model_name='convocatorias',
            name='Dependencia',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='gestor_social.Dependencias'),
        ),
    ]
